# PCILUSetShift

specify whether to use Manteuffel shifting of ILU. If an ILU factorisation breaks down because of nonpositive pivots, adding sufficient identity to the diagonal will remedy this. Setting this causes a bisection method to find the minimum shift that will lead to a well-defined ILU.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCILUSetShift(PC pc,PetscTruth shifting)

### Input parameters

| pc | - the preconditioner context
| shifting | - PETSC_TRUE to set shift else PETSC_FALSE

### Options Database Key

-pc_ilu_shift [1/0] -Activate/Deactivate PCILUSetShift(); the value is optional with 1 being the default

### Keywords

PC, indefinite, factorization, incomplete, ILU

### See Also

PCILUSetDamping()

Level:intermediate
Location:src/ksp/pc/impls/ilu/ilu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html